commit 22f87eb4e5aafeab67bcc1a470e5c45001d931dc
Author: Harald Welte <laforge@osmocom.org>
Date:   Thu Jan 14 15:33:37 2021 +0100

    smartcard-fpc: Don't put solder cream on smartcard contacts

diff --git a/hardware/smartcard-fpc/gerber/smartcard-fpc.GTP b/hardware/smartcard-fpc/gerber/smartcard-fpc.GTP
index 8fc4d0c..32b2295 100644
--- a/hardware/smartcard-fpc/gerber/smartcard-fpc.GTP
+++ b/hardware/smartcard-fpc/gerber/smartcard-fpc.GTP
@@ -8,10 +8,9 @@ G75*
 5,1,8,0,0,1.08239X$1,22.5*
 %
 %ADD10C,0.00000*%
-%ADD11R,0.11811X0.07874*%
-%ADD12R,0.05906X0.02362*%
-%ADD13R,0.16535X0.02756*%
-%ADD14C,0.00500*%
+%ADD11R,0.05906X0.02362*%
+%ADD12R,0.16535X0.02756*%
+%ADD13C,0.00500*%
 D10*
 X0013770Y0002234D02*
 X0391014Y0002234D01*
@@ -249,25 +248,16 @@ X0013165Y0002249D01*
 X0013467Y0002238D01*
 X0013770Y0002234D01*
 D11*
-X0045541Y0104793D03*
-X0045541Y0114833D03*
-X0045541Y0124793D03*
-X0045541Y0134793D03*
-X0075541Y0134793D03*
-X0075541Y0124793D03*
-X0075541Y0114833D03*
-X0075541Y0104793D03*
-D12*
 X0370281Y0103392D03*
 X0370281Y0107329D03*
 X0370281Y0111266D03*
 X0370281Y0115203D03*
 X0370281Y0119140D03*
 X0370281Y0123077D03*
-D13*
+D12*
 X0378549Y0127014D03*
 X0378549Y0099455D03*
-D14*
+D13*
 X0365500Y0101734D02*
 X0364250Y0100797D01*
 X0363000Y0101734D01*
diff --git a/hardware/smartcard-fpc/gerber/smartcard-fpc.dri b/hardware/smartcard-fpc/gerber/smartcard-fpc.dri
index b4008dc..98b4265 100644
--- a/hardware/smartcard-fpc/gerber/smartcard-fpc.dri
+++ b/hardware/smartcard-fpc/gerber/smartcard-fpc.dri
@@ -1,8 +1,8 @@
 Generated by EAGLE CAM Processor 7.7.0
 
-Drill Station Info File: /space/home/laforge/simcard-fpc.dri
+Drill Station Info File: /space/home/laforge/projects/git/simtrace/hardware/smartcard-fpc/smartcard-fpc.dri
 
- Date              : 12/29/20 5:17 PM
+ Date              : 14.01.21 15:32
  Drills            : generated
  Device            : Excellon drill station, coordinate format 2.5 inch
 
@@ -33,4 +33,4 @@ Total number of drills: 45
 
 Plotfiles:
 
- /space/home/laforge/simcard-fpc.TXT
+ /space/home/laforge/projects/git/simtrace/hardware/smartcard-fpc/smartcard-fpc.TXT
diff --git a/hardware/smartcard-fpc/gerber/smartcard-fpc.gpi b/hardware/smartcard-fpc/gerber/smartcard-fpc.gpi
index fbad882..c3b4ee2 100644
--- a/hardware/smartcard-fpc/gerber/smartcard-fpc.gpi
+++ b/hardware/smartcard-fpc/gerber/smartcard-fpc.gpi
@@ -1,9 +1,9 @@
 Generated by EAGLE CAM Processor 7.7.0
 
-Photoplotter Info File: /space/home/laforge/simcard-fpc.gpi
+Photoplotter Info File: /space/home/laforge/projects/git/simtrace/hardware/smartcard-fpc/smartcard-fpc.gpi
 
- Date              : 12/29/20 5:17 PM
- Plotfile          : /space/home/laforge/simcard-fpc.GTL
+ Date              : 14.01.21 15:32
+ Plotfile          : /space/home/laforge/projects/git/simtrace/hardware/smartcard-fpc/smartcard-fpc.GTL
  Apertures         : generated: 
  Device            : Gerber RS-274-X photoplotter, coordinate format 2.5 inch
 
diff --git a/hardware/smartcard-fpc/smartcard-fpc.brd b/hardware/smartcard-fpc/smartcard-fpc.brd
index c1bd3d4..0d2d8c7 100644
--- a/hardware/smartcard-fpc/smartcard-fpc.brd
+++ b/hardware/smartcard-fpc/smartcard-fpc.brd
@@ -143,14 +143,14 @@
 <wire x1="-39.62" y1="-27" x2="-42.8" y2="-23.82" width="0.127" layer="48" curve="-90"/>
 <wire x1="-42.8" y1="-23.82" x2="-42.8" y2="23.82" width="0.127" layer="48"/>
 <wire x1="-42.8" y1="23.82" x2="-39.62" y2="27" width="0.127" layer="48" curve="-90"/>
-<smd name="C1" x="-31.55" y="6.92" dx="3" dy="2" layer="1"/>
-<smd name="C2" x="-31.55" y="4.38" dx="3" dy="2" layer="1"/>
-<smd name="C3" x="-31.55" y="1.85" dx="3" dy="2" layer="1"/>
-<smd name="C4" x="-31.55" y="-0.7" dx="3" dy="2" layer="1"/>
-<smd name="C5" x="-23.93" y="6.92" dx="3" dy="2" layer="1"/>
-<smd name="C6" x="-23.93" y="4.38" dx="3" dy="2" layer="1"/>
-<smd name="C7" x="-23.93" y="1.85" dx="3" dy="2" layer="1"/>
-<smd name="C8" x="-23.93" y="-0.7" dx="3" dy="2" layer="1"/>
+<smd name="C1" x="-31.55" y="6.92" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C2" x="-31.55" y="4.38" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C3" x="-31.55" y="1.85" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C4" x="-31.55" y="-0.7" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C5" x="-23.93" y="6.92" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C6" x="-23.93" y="4.38" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C7" x="-23.93" y="1.85" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C8" x="-23.93" y="-0.7" dx="3" dy="2" layer="1" cream="no"/>
 <text x="-34.29" y="7.62" size="1.27" layer="21" rot="R180">VCC</text>
 <text x="-34.29" y="5.08" size="1.27" layer="21" rot="R180">RST</text>
 <text x="-34.29" y="2.54" size="1.27" layer="21" rot="R180">CLK</text>
diff --git a/hardware/smartcard-fpc/smartcard-fpc.sch b/hardware/smartcard-fpc/smartcard-fpc.sch
index a3fb644..7225d89 100644
--- a/hardware/smartcard-fpc/smartcard-fpc.sch
+++ b/hardware/smartcard-fpc/smartcard-fpc.sch
@@ -91,14 +91,14 @@
 <wire x1="-39.62" y1="-27" x2="-42.8" y2="-23.82" width="0.127" layer="48" curve="-90"/>
 <wire x1="-42.8" y1="-23.82" x2="-42.8" y2="23.82" width="0.127" layer="48"/>
 <wire x1="-42.8" y1="23.82" x2="-39.62" y2="27" width="0.127" layer="48" curve="-90"/>
-<smd name="C1" x="-31.55" y="6.92" dx="3" dy="2" layer="1"/>
-<smd name="C2" x="-31.55" y="4.38" dx="3" dy="2" layer="1"/>
-<smd name="C3" x="-31.55" y="1.85" dx="3" dy="2" layer="1"/>
-<smd name="C4" x="-31.55" y="-0.7" dx="3" dy="2" layer="1"/>
-<smd name="C5" x="-23.93" y="6.92" dx="3" dy="2" layer="1"/>
-<smd name="C6" x="-23.93" y="4.38" dx="3" dy="2" layer="1"/>
-<smd name="C7" x="-23.93" y="1.85" dx="3" dy="2" layer="1"/>
-<smd name="C8" x="-23.93" y="-0.7" dx="3" dy="2" layer="1"/>
+<smd name="C1" x="-31.55" y="6.92" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C2" x="-31.55" y="4.38" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C3" x="-31.55" y="1.85" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C4" x="-31.55" y="-0.7" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C5" x="-23.93" y="6.92" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C6" x="-23.93" y="4.38" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C7" x="-23.93" y="1.85" dx="3" dy="2" layer="1" cream="no"/>
+<smd name="C8" x="-23.93" y="-0.7" dx="3" dy="2" layer="1" cream="no"/>
 <text x="-34.29" y="7.62" size="1.27" layer="21" rot="R180">VCC</text>
 <text x="-34.29" y="5.08" size="1.27" layer="21" rot="R180">RST</text>
 <text x="-34.29" y="2.54" size="1.27" layer="21" rot="R180">CLK</text>