commit 28eff3dced2f11cd415c61fd5e1a2979e7807d3c
Author: Kévin Redon <kredon@sysmocom.de>
Date:   Tue Oct 1 13:09:04 2019 +0200

    schematic: add DNP note on JTAG and UART debug connectors
    
    Change-Id: Id1c03418af021ce8febd666946bed3d8c01ceb77

diff --git a/hardware/kicad/SIMtrace.sch b/hardware/kicad/SIMtrace.sch
index 0bf7feb..a9d90e4 100644
--- a/hardware/kicad/SIMtrace.sch
+++ b/hardware/kicad/SIMtrace.sch
@@ -1141,6 +1141,8 @@ F 0 "P1" H 10450 1900 60  0000 C CNN
 F 1 "JTAG" H 10450 800 50  0000 C CNN
 F 2 "PIN_ARRAY_10X2" H 10450 1350 60  0001 C CNN
 F 3 "" H 10450 1350 60  0001 C CNN
+F 4 "DNP" H 10450 700 50  0000 C CNN "Place"
+F 5 "only place on development boards" H 10450 1350 50  0001 C CNN "Note"
 	1    10450 1350
 	1    0    0    -1  
 $EndComp
@@ -1249,6 +1251,8 @@ F 0 "P2" H 9700 3200 60  0000 C CNN
 F 1 "DEBUG" V 9900 2850 60  0000 C CNN
 F 2 "PIN_ARRAY-6X1" H 9700 2850 60  0001 C CNN
 F 3 "" H 9700 2850 60  0001 C CNN
+F 4 "DNP" H 9700 2500 50  0000 C CNN "Place"
+F 5 "only place for development boards" H 9700 2850 50  0001 C CNN "Note"
 	1    9700 2850
 	1    0    0    -1  
 $EndComp
@@ -1586,10 +1590,10 @@ Wire Wire Line
 Wire Wire Line
 	7050 5950 7050 6000
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0101
 U 1 1 5F010248
 P 3750 2800
-F 0 "#PWR?" H 3750 2800 30  0001 C CNN
+F 0 "#PWR0101" H 3750 2800 30  0001 C CNN
 F 1 "GND" H 3750 2730 30  0001 C CNN
 F 2 "" H 3750 2800 60  0001 C CNN
 F 3 "" H 3750 2800 60  0001 C CNN
@@ -1611,10 +1615,10 @@ Wire Wire Line
 	4600 2800 4600 2750
 Connection ~ 4200 2800
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0102
 U 1 1 5F1114E9
 P 4600 3350
-F 0 "#PWR?" H 4600 3450 40  0001 C CNN
+F 0 "#PWR0102" H 4600 3450 40  0001 C CNN
 F 1 "+3V3" H 4600 3475 40  0000 C CNN
 F 2 "" H 4600 3350 60  0001 C CNN
 F 3 "" H 4600 3350 60  0001 C CNN
@@ -1622,10 +1626,10 @@ F 3 "" H 4600 3350 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0103
 U 1 1 5F112355
 P 1250 6450
-F 0 "#PWR?" H 1250 6550 40  0001 C CNN
+F 0 "#PWR0103" H 1250 6550 40  0001 C CNN
 F 1 "+3V3" H 1250 6575 40  0000 C CNN
 F 2 "" H 1250 6450 60  0001 C CNN
 F 3 "" H 1250 6450 60  0001 C CNN
@@ -1645,10 +1649,10 @@ Wire Wire Line
 	4600 3950 4600 3850
 Connection ~ 4600 3850
 $Comp
-L power:+1V8 #PWR?
+L power:+1V8 #PWR0104
 U 1 1 5F1CE2B0
 P 4600 4150
-F 0 "#PWR?" H 4600 4290 20  0001 C CNN
+F 0 "#PWR0104" H 4600 4290 20  0001 C CNN
 F 1 "+1V8" H 4600 4260 30  0000 C CNN
 F 2 "" H 4600 4150 60  0001 C CNN
 F 3 "" H 4600 4150 60  0001 C CNN
@@ -1677,10 +1681,10 @@ Connection ~ 4600 4550
 Connection ~ 4600 4350
 Connection ~ 4600 4150
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0105
 U 1 1 5F2D4C71
 P 1550 6450
-F 0 "#PWR?" H 1550 6550 40  0001 C CNN
+F 0 "#PWR0105" H 1550 6550 40  0001 C CNN
 F 1 "+3V3" H 1550 6575 40  0000 C CNN
 F 2 "" H 1550 6450 60  0001 C CNN
 F 3 "" H 1550 6450 60  0001 C CNN
@@ -1688,10 +1692,10 @@ F 3 "" H 1550 6450 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0106
 U 1 1 5F2D50BE
 P 1850 6450
-F 0 "#PWR?" H 1850 6550 40  0001 C CNN
+F 0 "#PWR0106" H 1850 6550 40  0001 C CNN
 F 1 "+3V3" H 1850 6575 40  0000 C CNN
 F 2 "" H 1850 6450 60  0001 C CNN
 F 3 "" H 1850 6450 60  0001 C CNN
@@ -1699,10 +1703,10 @@ F 3 "" H 1850 6450 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0107
 U 1 1 5F2D5535
 P 2150 6450
-F 0 "#PWR?" H 2150 6550 40  0001 C CNN
+F 0 "#PWR0107" H 2150 6550 40  0001 C CNN
 F 1 "+3V3" H 2150 6575 40  0000 C CNN
 F 2 "" H 2150 6450 60  0001 C CNN
 F 3 "" H 2150 6450 60  0001 C CNN
@@ -1710,10 +1714,10 @@ F 3 "" H 2150 6450 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0108
 U 1 1 5F2D58B9
 P 1550 6750
-F 0 "#PWR?" H 1550 6750 30  0001 C CNN
+F 0 "#PWR0108" H 1550 6750 30  0001 C CNN
 F 1 "GND" H 1550 6680 30  0001 C CNN
 F 2 "" H 1550 6750 60  0001 C CNN
 F 3 "" H 1550 6750 60  0001 C CNN
@@ -1721,10 +1725,10 @@ F 3 "" H 1550 6750 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0109
 U 1 1 5F2D5CB0
 P 1850 6750
-F 0 "#PWR?" H 1850 6750 30  0001 C CNN
+F 0 "#PWR0109" H 1850 6750 30  0001 C CNN
 F 1 "GND" H 1850 6680 30  0001 C CNN
 F 2 "" H 1850 6750 60  0001 C CNN
 F 3 "" H 1850 6750 60  0001 C CNN
@@ -1732,10 +1736,10 @@ F 3 "" H 1850 6750 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0110
 U 1 1 5F2D6081
 P 2150 6750
-F 0 "#PWR?" H 2150 6750 30  0001 C CNN
+F 0 "#PWR0110" H 2150 6750 30  0001 C CNN
 F 1 "GND" H 2150 6680 30  0001 C CNN
 F 2 "" H 2150 6750 60  0001 C CNN
 F 3 "" H 2150 6750 60  0001 C CNN
@@ -1743,10 +1747,10 @@ F 3 "" H 2150 6750 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0111
 U 1 1 5F2D7961
 P 950 7500
-F 0 "#PWR?" H 950 7500 30  0001 C CNN
+F 0 "#PWR0111" H 950 7500 30  0001 C CNN
 F 1 "GND" H 950 7430 30  0001 C CNN
 F 2 "" H 950 7500 60  0001 C CNN
 F 3 "" H 950 7500 60  0001 C CNN
@@ -1754,10 +1758,10 @@ F 3 "" H 950 7500 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0112
 U 1 1 5F2DC090
 P 1250 7500
-F 0 "#PWR?" H 1250 7500 30  0001 C CNN
+F 0 "#PWR0112" H 1250 7500 30  0001 C CNN
 F 1 "GND" H 1250 7430 30  0001 C CNN
 F 2 "" H 1250 7500 60  0001 C CNN
 F 3 "" H 1250 7500 60  0001 C CNN
@@ -1765,10 +1769,10 @@ F 3 "" H 1250 7500 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0113
 U 1 1 5F2DC4B9
 P 1550 7500
-F 0 "#PWR?" H 1550 7500 30  0001 C CNN
+F 0 "#PWR0113" H 1550 7500 30  0001 C CNN
 F 1 "GND" H 1550 7430 30  0001 C CNN
 F 2 "" H 1550 7500 60  0001 C CNN
 F 3 "" H 1550 7500 60  0001 C CNN
@@ -1776,10 +1780,10 @@ F 3 "" H 1550 7500 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0114
 U 1 1 5F2DC8E3
 P 1850 7500
-F 0 "#PWR?" H 1850 7500 30  0001 C CNN
+F 0 "#PWR0114" H 1850 7500 30  0001 C CNN
 F 1 "GND" H 1850 7430 30  0001 C CNN
 F 2 "" H 1850 7500 60  0001 C CNN
 F 3 "" H 1850 7500 60  0001 C CNN
@@ -1787,10 +1791,10 @@ F 3 "" H 1850 7500 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+1V8 #PWR?
+L power:+1V8 #PWR0115
 U 1 1 5F2DF227
 P 1250 7200
-F 0 "#PWR?" H 1250 7340 20  0001 C CNN
+F 0 "#PWR0115" H 1250 7340 20  0001 C CNN
 F 1 "+1V8" H 1250 7310 30  0000 C CNN
 F 2 "" H 1250 7200 60  0001 C CNN
 F 3 "" H 1250 7200 60  0001 C CNN
@@ -1798,10 +1802,10 @@ F 3 "" H 1250 7200 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+1V8 #PWR?
+L power:+1V8 #PWR0116
 U 1 1 5F2DF780
 P 1550 7200
-F 0 "#PWR?" H 1550 7340 20  0001 C CNN
+F 0 "#PWR0116" H 1550 7340 20  0001 C CNN
 F 1 "+1V8" H 1550 7310 30  0000 C CNN
 F 2 "" H 1550 7200 60  0001 C CNN
 F 3 "" H 1550 7200 60  0001 C CNN
@@ -1809,10 +1813,10 @@ F 3 "" H 1550 7200 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+1V8 #PWR?
+L power:+1V8 #PWR0117
 U 1 1 5F2DFBDB
 P 1850 7200
-F 0 "#PWR?" H 1850 7340 20  0001 C CNN
+F 0 "#PWR0117" H 1850 7340 20  0001 C CNN
 F 1 "+1V8" H 1850 7310 30  0000 C CNN
 F 2 "" H 1850 7200 60  0001 C CNN
 F 3 "" H 1850 7200 60  0001 C CNN
@@ -1820,10 +1824,10 @@ F 3 "" H 1850 7200 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+1V8 #PWR?
+L power:+1V8 #PWR0118
 U 1 1 5F2DFFEE
 P 2150 7200
-F 0 "#PWR?" H 2150 7340 20  0001 C CNN
+F 0 "#PWR0118" H 2150 7340 20  0001 C CNN
 F 1 "+1V8" H 2150 7310 30  0000 C CNN
 F 2 "" H 2150 7200 60  0001 C CNN
 F 3 "" H 2150 7200 60  0001 C CNN
@@ -1831,10 +1835,10 @@ F 3 "" H 2150 7200 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0119
 U 1 1 5F2DED53
 P 2150 7500
-F 0 "#PWR?" H 2150 7500 30  0001 C CNN
+F 0 "#PWR0119" H 2150 7500 30  0001 C CNN
 F 1 "GND" H 2150 7430 30  0001 C CNN
 F 2 "" H 2150 7500 60  0001 C CNN
 F 3 "" H 2150 7500 60  0001 C CNN
@@ -1855,10 +1859,10 @@ $EndComp
 Text Notes 1150 6050 0    100  ~ 20
 DECOUPLING
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0120
 U 1 1 5F550089
 P 4050 3700
-F 0 "#PWR?" H 4050 3700 30  0001 C CNN
+F 0 "#PWR0120" H 4050 3700 30  0001 C CNN
 F 1 "GND" H 4050 3630 30  0001 C CNN
 F 2 "" H 4050 3700 60  0001 C CNN
 F 3 "" H 4050 3700 60  0001 C CNN
@@ -1875,10 +1879,10 @@ Wire Wire Line
 Wire Wire Line
 	4250 3050 4600 3050
 $Comp
-L power:+3.3V #PWR?
+L power:+3.3V #PWR0121
 U 1 1 5F64AD0E
 P 11000 900
-F 0 "#PWR?" H 11000 1000 40  0001 C CNN
+F 0 "#PWR0121" H 11000 1000 40  0001 C CNN
 F 1 "+3.3V" H 11000 1025 40  0000 C CNN
 F 2 "" H 11000 900 60  0001 C CNN
 F 3 "" H 11000 900 60  0001 C CNN
@@ -1958,10 +1962,10 @@ F 3 "" H 750 1850 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:VBUS #PWR?
+L power:VBUS #PWR0122
 U 1 1 5F89CAF1
 P 1150 1350
-F 0 "#PWR?" H 1150 1200 50  0001 C CNN
+F 0 "#PWR0122" H 1150 1200 50  0001 C CNN
 F 1 "VBUS" H 1165 1523 50  0000 C CNN
 F 2 "" H 1150 1350 50  0001 C CNN
 F 3 "" H 1150 1350 50  0001 C CNN
@@ -1969,10 +1973,10 @@ F 3 "" H 1150 1350 50  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:VBUS #PWR?
+L power:VBUS #PWR0123
 U 1 1 5F89D188
 P 650 4150
-F 0 "#PWR?" H 650 4000 50  0001 C CNN
+F 0 "#PWR0123" H 650 4000 50  0001 C CNN
 F 1 "VBUS" H 665 4323 50  0000 C CNN
 F 2 "" H 650 4150 50  0001 C CNN
 F 3 "" H 650 4150 50  0001 C CNN
@@ -1984,10 +1988,10 @@ Wire Wire Line
 Wire Wire Line
 	7500 950  7600 950 
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0124
 U 1 1 5F91096B
 P 3700 1350
-F 0 "#PWR?" H 3700 1350 30  0001 C CNN
+F 0 "#PWR0124" H 3700 1350 30  0001 C CNN
 F 1 "GND" H 3700 1280 30  0001 C CNN
 F 2 "" H 3700 1350 60  0001 C CNN
 F 3 "" H 3700 1350 60  0001 C CNN
@@ -2036,10 +2040,10 @@ DDM
 Wire Wire Line
 	2450 1650 2850 1650
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0125
 U 1 1 5FDD9086
 P 2850 1950
-F 0 "#PWR?" H 2850 1950 30  0001 C CNN
+F 0 "#PWR0125" H 2850 1950 30  0001 C CNN
 F 1 "GND" H 2850 1880 30  0001 C CNN
 F 2 "" H 2850 1950 60  0001 C CNN
 F 3 "" H 2850 1950 60  0001 C CNN
@@ -2109,10 +2113,10 @@ Wire Wire Line
 Wire Wire Line
 	7000 3150 7600 3150
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0126
 U 1 1 6050A419
 P 8150 3800
-F 0 "#PWR?" H 8150 3900 40  0001 C CNN
+F 0 "#PWR0126" H 8150 3900 40  0001 C CNN
 F 1 "+3V3" H 8150 3925 40  0000 C CNN
 F 2 "" H 8150 3800 60  0001 C CNN
 F 3 "" H 8150 3800 60  0001 C CNN
@@ -2209,10 +2213,10 @@ Wire Wire Line
 Wire Wire Line
 	8200 2350 8150 2350
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0127
 U 1 1 60ACDBBE
 P 8050 1850
-F 0 "#PWR?" H 8050 1950 40  0001 C CNN
+F 0 "#PWR0127" H 8050 1950 40  0001 C CNN
 F 1 "+3V3" H 8050 1975 40  0000 C CNN
 F 2 "" H 8050 1850 60  0001 C CNN
 F 3 "" H 8050 1850 60  0001 C CNN
@@ -2343,10 +2347,10 @@ Wire Wire Line
 Wire Wire Line
 	9450 5750 10450 5750
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0128
 U 1 1 60F53583
 P 9600 6150
-F 0 "#PWR?" H 9600 6150 30  0001 C CNN
+F 0 "#PWR0128" H 9600 6150 30  0001 C CNN
 F 1 "GND" H 9600 6080 30  0001 C CNN
 F 2 "" H 9600 6150 60  0001 C CNN
 F 3 "" H 9600 6150 60  0001 C CNN
@@ -2354,10 +2358,10 @@ F 3 "" H 9600 6150 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:GND #PWR?
+L power:GND #PWR0129
 U 1 1 60F539D9
 P 9450 6150
-F 0 "#PWR?" H 9450 6150 30  0001 C CNN
+F 0 "#PWR0129" H 9450 6150 30  0001 C CNN
 F 1 "GND" H 9450 6080 30  0001 C CNN
 F 2 "" H 9450 6150 60  0001 C CNN
 F 3 "" H 9450 6150 60  0001 C CNN
@@ -2365,10 +2369,10 @@ F 3 "" H 9450 6150 60  0001 C CNN
 	1    0    0    -1  
 $EndComp
 $Comp
-L power:+3V3 #PWR?
+L power:+3V3 #PWR0130
 U 1 1 60FE07DE
 P 8500 5750
-F 0 "#PWR?" H 8500 5850 40  0001 C CNN
+F 0 "#PWR0130" H 8500 5850 40  0001 C CNN
 F 1 "+3V3" H 8500 5875 40  0000 C CNN
 F 2 "" H 8500 5750 60  0001 C CNN
 F 3 "" H 8500 5750 60  0001 C CNN